Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client
Class ICMEntryPoint

    java.lang.Object
      org.eclipse.higgins.ics.gwt.icm.client.ICMEntryPoint

All Implemented Interfaces:
  com.google.gwt.core.client.EntryPoint

public class ICMEntryPoint
extends Object
implements com.google.gwt.core.client.EntryPoint

Author:
  Alexander Yuhimenko

Field Summary
`static Constant` | `constant`
`static CurrentStateBean` | `currentState`
`static com.google.gwt.i18n.client.Dictionary` | `dictionary`
`static ICMMainPanel` | `mainPanel`
`static ICMServiceAsync` | `service`

Constructor Summary
`ICMEntryPoint()`

Method Summary
`static void` | `addChangeUserProfileList(ChangeUserProfileListener listener)`
`static ArrayList` | `getChangeUserProfileList()`
`static CardTemplate` | `getPCardTemplate()`
`static UserProfile` | `getUserProfile()`
`void` | `onModuleLoad()`
`static void` | `setPCardTemplate(CardTemplate cardTemplate)`
`static void` | `setUserProfile(UserProfile userProfile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constant

    public static Constant constant

### currentState

    public static CurrentStateBean currentState

### dictionary

    public static com.google.gwt.i18n.client.Dictionary dictionary

### mainPanel

    public static ICMMainPanel mainPanel

### service

    public static ICMServiceAsync service

Constructor Detail

### ICMEntryPoint

    public ICMEntryPoint()

Method Detail

### addChangeUserProfileList

    public static void addChangeUserProfileList(ChangeUserProfileListener listener)

### getChangeUserProfileList

    public static ArrayList getChangeUserProfileList()

  Returns:
    the changeUserProfileList

### getPCardTemplate

    public static CardTemplate getPCardTemplate()

  Returns:
    the pCardTemplate

### getUserProfile

    public static UserProfile getUserProfile()

  Returns:
    the userProfile

### setPCardTemplate

    public static void setPCardTemplate(CardTemplate cardTemplate)

  Parameters:
    `cardTemplate` - the pCardTemplate to set

### setUserProfile

    public static void setUserProfile(UserProfile userProfile)

  Parameters:
    `userProfile` - the userProfile to set

### onModuleLoad

    public void onModuleLoad()

  Specified by:
    `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD